Subject: bug#54646: 29.0.50; set-fontset-font and font clipping issues

From: Visuwesh <[email-masked]>
Date: Thu, 31 Mar 2022 17:46:51 +0530

[வியாழன் மார்ச் 31, 2022] Eli Zaretskii wrote:

>> From: Visuwesh <[email-masked]>
>> Cc: [email-masked]
>> Date: Thu, 31 Mar 2022 14:59:47 +0530
>> 
>> > Also, what version of HarfBuzz do you have there?  Can you try
>> > upgrading to a newer version?
>> 
>> Emacs is linked against HarfBuzz 3.0.0.  I will see if I can update it,
>> and report back in the evening.  (P.S., maybe we should look into
>> including this info in the text that M-x report-emacs-bug prepares?)
>
> HarfBuzz is remarkably compatible, and its version until now was never
> important.  I asked about that because it is the source of the
> composition data which seems to be incorrect in the wrong display
> cases.  I'm not yet sure it's a HarfBuzz problem.
>
>> [ I will also check if I can reproduce this in emacs -Q but with 
>>   M-: (set-fontset-font t 'tamil "Kurinto Seri") RET.  ]
>
> Thanks.
>
> One more question: what is the value of current-iso639-language, and
> is it different between the "bad" and the "good" cases?

'ta' in both case.

BTW, the "bad" case having width 20 seems "correct" to me since the
character occupies more space than it should i.e., imagine a letter like
"I" but with a bunch of whitespace next to it as in "I  ".